Page MenuHomeFreeBSD

devel/valgrind-devel: Use option helpers and update formatting
ClosedPublic

Authored by jrm on Oct 28 2022, 8:54 PM.
Tags
None
Referenced Files
F58351819: D37201.diff
Wed, Mar 22, 9:29 PM
Unknown Object (File)
Sun, Mar 5, 6:02 PM
Unknown Object (File)
Fri, Mar 3, 11:22 AM
Unknown Object (File)
Wed, Feb 22, 6:52 AM
Unknown Object (File)
Feb 17 2023, 4:42 PM
Unknown Object (File)
Dec 18 2022, 8:07 AM
Unknown Object (File)
Nov 27 2022, 12:45 PM
Subscribers

Details

Summary

This is a separate commit from the update discussed in D37197. It modernizes the Makefile a bit by using OPTION helpers and standardizes the formatting using portclippy/portfmt.

Approved by: pjfloyd@wanadoo.fr (maintainer)

Test Plan

poudriere testport with all options on and off build successfully

Diff Detail

Repository
rP FreeBSD ports repository
Lint
No Lint Coverage
Unit
No Test Coverage
Build Status
Buildable 48084
Build 44971: arc lint + arc unit

Event Timeline

jrm requested review of this revision.Oct 28 2022, 8:54 PM

Show the revision relative to the update discussed in D37197.

Phabricator messes with the whitespace in the default view. The raw diff might be easier to inspect.

Also, if you are good with these changes, I can do the same for devel/valgrind.

In D37201#844432, @jrm wrote:

Also, if you are good with these changes, I can do the same for devel/valgrind.

No thanks. My current policy is for devel/valgrind to track official releases and for devel/valgrond-devel to have occasional bugfixes between official releases (which are normally only twice a year).

To be clear, I'm just referring to the style changes mostly to conform to Chapter 15. Order of Variables in Port Makefiles and a few other style issues. It's kind of like style(9) for ports. No problem if you prefer to leave things as is, but could you clarify?

In D37201#844760, @jrm wrote:

To be clear, I'm just referring to the style changes mostly to conform to Chapter 15. Order of Variables in Port Makefiles and a few other style issues. It's kind of like style(9) for ports. No problem if you prefer to leave things as is, but could you clarify?

My mistake, I hadn't looked at the change. Yes, that's fine by me.

This revision was not accepted when it landed; it landed in state Needs Review.Oct 31 2022, 2:01 PM
This revision was automatically updated to reflect the committed changes.